## org.biojava.bio.seq.db
Class IllegalIDException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.utils.NestedException
                  org.biojava.bio.BioException
                      org.biojava.bio.seq.db.IllegalIDException

All Implemented Interfaces:
  java.io.Serializable

public class IllegalIDException
extends BioException

Author:
  Matthew Pocock, Keith James
See Also:
  Serialized Form

Constructor Summary
`IllegalIDException()`
`IllegalIDException(java.lang.String message)`
`IllegalIDException(java.lang.Throwable t)`
`IllegalIDException(java.lang.Throwable t, java.lang.String message)`

Methods inherited from class org.biojava.utils.NestedException
`printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalIDException

    public IllegalIDException()

### IllegalIDException

    public IllegalIDException(java.lang.Throwable t)

### IllegalIDException

    public IllegalIDException(java.lang.String message)

### IllegalIDException

    public IllegalIDException(java.lang.Throwable t,
                              java.lang.String message)